Page MenuHomePhabricator

Maniphest burnup report incorrectly counts "All Time" opened and closed tasks
Open, Stalled, LowestPublic

Description

Maniphest burnup report incorrectly counts "All Time" opened and closed tasks. It seems like it considers closed tasks migrated from Bugzilla to be still open.

For example, for MediaWiki-Page-editing, https://phabricator.wikimedia.org/maniphest/report/burn/?project=PHID-PROJ-hd4zy7ho6fpqtllay7jm reports 1,422 opened and 66 closed tasks, while there are in fact 310 open and 1,103 closed tasks. (And why these numbers don't match each other is yet another mystery.)

It seems that tasks migrated from Bugzilla that were already closed there do not have any "event" marking that it was closed. For example, T116178 has an entry "TheDJ closed this task as "Resolved".", while T2015 has nothing like this. I think these should be backfilled (probably using @bzimport as the actor).

Event Timeline

matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a project: Phabricator.
matmarex added subscribers: matmarex, bzimport.
Restricted Application added subscribers: StudiesWorld, scfc, Aklapper. · View Herald TranscriptNov 23 2015, 11:38 AM
Aklapper triaged this task as Lowest priority.Jan 20 2016, 1:07 PM
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJan 20 2016, 1:07 PM
Aklapper changed the task status from Open to Stalled.Jan 20 2016, 1:07 PM
Luke081515 set Security to None.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 2 2016, 7:58 PM
mmodell moved this task from To Triage to Misc on the Phabricator board.Jan 31 2018, 10:51 PM
Aklapper moved this task from Misc to Database fiddling on the Phabricator board.Aug 29 2018, 6:06 PM